using System.Collections.Generic;

namespace CrossCutting.Generic
{
    public enum CheckboxState
    {
        NotChecked,
        Checked,
        Filled
    }
    public interface ICheckboxInterpreter<in TImage>
    {
        ClassificationResult<CheckboxState> Interpret(TImage image);
        IEnumerable<ClassificationResult<CheckboxState>> InterpretAll(TImage image);
    }
}

